#ifndef CMWMANUALRECOVER_H
#define CMWMANUALRECOVER_H

#include "cmwidget.h"
namespace Ui {class CMWManualRecover;};

class CMWManualRecover : public CMWidget
{
	Q_OBJECT

public:
	CMWManualRecover(QWidget *parent = 0);
	~CMWManualRecover();


	virtual void MTimeFresh();
	virtual void MFresh();

	private slots:
	void on_btnReadRecoverData_clicked();
	void on_btnManualCutCh1_clicked();
	void on_btnManualCutCh2_clicked();
	void on_btnChangeCh1_clicked();
	void on_btnChangeCh2_clicked();

	void ManualCut(int iSideId, int iStart, int iLayerId, int iTimes,int iEndLine);

	void on_btnRedoCut_clicked();
	void on_btnRedoCoat_clicked();
	void on_btnPauseCoat_clicked();
	void on_btnPauseClean_clicked();
	void on_btnPauseTrans_clicked();

	void on_btnAbortCut_clicked();
	void on_btnAbortCoat_clicked();
	void on_btnAbortClean_clicked();
	void on_btnAbortTrans_clicked();
	void on_btnStartCut_clicked();
	void on_btnStartCoat_clicked();
	void on_btnStartClean_clicked();
	void on_btnStartTrans_clicked();

private:
	Ui::CMWManualRecover *ui;
	QPixmap picOn;
	QPixmap picOff;
};

#endif // CMWMANUALRECOVER_H
